Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1693148 - glibc: The Japanese Era name will be changed on May 1, 2019 [rhel-7.3.z]
Summary: glibc: The Japanese Era name will be changed on May 1, 2019 [rhel-7.3.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: DJ Delorie
QA Contact: Sergey Kolosov
URL:
Whiteboard:
Depends On: 1555189
Blocks: ReiwaForGlibc
TreeView+ depends on / blocked
 
Reported: 2019-03-27 09:04 UTC by RAD team bot copy to z-stream
Modified: 2019-04-10 02:35 UTC (History)
20 users (show)

Fixed In Version: glibc-2.17-157.el7_3.7
Doc Type: If docs needed, set a value
Doc Text:
The GNU C Library now provides correct Japanese era name formatting for the REIWA era starting May 1st, 2019. The time handling API data has been updated including the data used by strftime and strptime. All APIs will correctly print the REIWA era including when strftime is used along with one of the era conversion specifiers e.g. %EC, %EY, or %Ey.
Clone Of: 1555189
Environment:
Last Closed: 2019-04-09 16:36:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1555930 None VERIFIED glibc: The Japanese Era name will be changed on May 1, 2019 [rhel-6.10.z] 2019-04-08 13:40:33 UTC
Red Hat Bugzilla 1555932 None VERIFIED glibc: The Japanese Era name will be changed on May 1, 2019 [rhel-5-els] 2019-04-08 13:40:33 UTC
Red Hat Knowledge Base (Solution) 2749651 Learn more None Does the change of the Japanese Era affect Red Hat Enterprise Linux? 2019-03-27 09:04:24 UTC
Red Hat Product Errata RHBA-2019:0729 None None None 2019-04-09 16:36:38 UTC
Sourceware 22964 None None None 2019-04-08 13:40:34 UTC

Description RAD team bot copy to z-stream 2019-03-27 09:04:22 UTC
This bug has been copied from bug #1555189 and has been proposed to be backported to 7.3 z-stream (EUS).

Comment 5 Sergey Kolosov 2019-04-05 08:12:04 UTC
Verified,
glibc-2.17-157.el7_3.7 has new Japanise Era support

Comment 7 errata-xmlrpc 2019-04-09 16:36:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0729


Note You need to log in before you can comment on or make changes to this bug.